Documents

Document Request Delete

DELETE
/documents/request/{documentRequestGuid}/delete

Soft-deletes a document request by its GUID.

Authorization

AuthorizationBearer <token>

JWT token to authenticate the request.

In: header

X-Api-Key<token>

API key, sent as a request header.

In: header

Path Parameters

documentRequestGuid*string

GUID of the document request to delete.

Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/documents/request/6ba7b810-9dad-11d1-80b4-00c04fd430c8/delete"
{  "result": {    "data": {      "documentRequestGuid": "6ba7b810-9dad-11d1-80b4-00c04fd430c8",      "message": "DocumentRequest deleted successfully."    },    "statusCode": 200,    "message": "OK"  },  "origin": "DELETE https://api.doctavian.com/v1/documents/request/{documentRequestGuid}/delete",  "dateTime": "2026-07-14T09:30:00.000Z",  "operationId": "4c4c58496fb462c198c466dcedf57337",  "userId": "e117b894-70e4-4511-b79e-f8c2aa2042de"}
{  "userId": "3e70d2ef-6e11-4780-afd0-7e1cf2029a35",  "error": {    "statusCode": 400,    "message": "Name is required.",    "innerErrors": [      {        "code": "DATA_NAME_REQUIRED",        "message": "Name is required.",        "userMessage": "Name is required."      }    ]  },  "origin": "DELETE https://api.doctavian.com/v1/documents/request/{documentRequestGuid}/delete",  "dateTime": "2026-01-02T12:34:56.000Z",  "operationId": "aefffe57eb514317da8e6e52102a91b7"}
{  "error": {    "statusCode": 401,    "message": "The request could not be authenticated.",    "innerErrors": [      {        "code": "UNAUTHORIZED",        "message": "The request could not be authenticated.",        "userMessage": "Your session has expired or is invalid. Please sign in again."      }    ]  },  "origin": "DELETE https://api.doctavian.com/v1/documents/request/{documentRequestGuid}/delete",  "dateTime": "2026-01-02T12:34:56.000Z",  "operationId": "b98d32a29b625738136361861f6708cc",  "userId": "748b2a39-7231-4b49-832b-9ef189074a21"}
{  "error": {    "statusCode": 404,    "message": "The requested resource was not found.",    "innerErrors": [      {        "code": "NOT_FOUND_BY_ID",        "message": "The requested resource was not found.",        "userMessage": "We couldn't find that resource. Check the id and try again."      }    ]  },  "origin": "DELETE https://api.doctavian.com/v1/documents/request/{documentRequestGuid}/delete",  "dateTime": "2026-01-02T12:34:56.000Z",  "operationId": "4d54fec8bdb5f437ca8782682242a087",  "userId": "748b2a39-7231-4b49-832b-9ef189074a21"}
{  "userId": "4d9d78ea-7840-455b-afe8-a77e7c1ab1bc",  "error": {    "statusCode": 500,    "message": "An unexpected error occurred.",    "innerErrors": [      {        "code": "GET_DATA_SOURCE_ERROR",        "message": "An unexpected error occurred.",        "userMessage": "An unexpected error occurred."      }    ]  },  "origin": "DELETE https://api.doctavian.com/v1/documents/request/{documentRequestGuid}/delete",  "dateTime": "2026-01-02T12:34:56.000Z",  "operationId": "fa4ec2f8f6f0f0b9524de9cffd0eb34b"}